<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);
session_start();
require 'verifica_cookie.php';
require 'conexao.php';

$pdo        = Conexao::getInstance();
$venda      = (isset($_SESSION['VENDA'])) ? $_SESSION['VENDA'] : '' ;
$impressora = (isset($_COOKIE['pCaixa'])) ? $_COOKIE['pCaixa'] : '';
$usuario    = (isset($_COOKIE['id'])) ? $_COOKIE['id'] : 1 ;
$contErro = 0;

if (empty($venda)):
	$contErro += 1;
endif;

if ($contErro):
	 $output = json_encode(array('status'=>'0', 'text' => 'Existem campos vazios!'));
     die($output);
endif;

// ajustado para forma atual $sql = "UPDATE venda SET impressao_mobile = 'S', impressora_pre = '{$impressora}', usu_001_2 = :user ";
$sql = "UPDATE venda SET imprimir_prefechamento_mobile = true , usu_001_2 = :user , sit_001=21";
$sql .= "WHERE ven_001 = :venda";
$stm = $pdo->prepare($sql);
$stm->bindValue(':user', $usuario);
$stm->bindValue(':venda', $venda);
$retorno = $stm->execute();

if ($retorno):
	echo json_encode(array('status'=>'1', 'text' => 'Gravado com sucesso'));
else:
	echo json_encode(array('status'=>'0', 'text' => 'Erro ao gravar item!'));
endif;